# scilab

Script principal d'exécution de Scilab et de divers outils (GNU/Linux, Unix et Mac OS X)

## Séquence d'appel

    scilab <Options>
                scilab-adv-cli <Options>
                scilab-cli <Options>

## Description

-args arguments

  si cette option est présente des arguments sont passés à Scilab. Ils peuvent être récupérés par la fonction `sciargs` .Les arguments multiples doivent être passés dans chaîne de caractères les contenant, séparés par des espaces `scilab -args 'foo1 foo2';`. Sans cette option, les arguments inconnus ne seront pas acceptés.

-display Display

  Cette option n'est valide que pour les version basées sur Xwindow, elle peut alors être utilisée pour specifier un server X. La valeur par défaut est unix:0.0

  `-display` peut être remplacé par `-d`

-debug

  Lance Scilab sous gdb (Unix/Linux/Mac OS X seulement).

  Définir la variable SCILAB_GDB_OPT pour ajouter des options supplémentaire à gdb.

  Conseil: Utilisez cette option à partir de l'arborescence source de Scilab

-debug-kdbg

  Lance Scilab sous kdbg (Unix/Linux/Mac OS X seulement).

  Conseil: Utilisez cette option à partir de l'arborescence source de Scilab

-profiling

  Lance Scilab sous valgrind (Unix/Linux/Mac OS X seulement).

  Définir la variable SCILAB_VALGRIND_OPT pour ajouter des options supplémentaire à valgrind (et surcharger les options de valgrind existantes).

  Conseil: Utilisez cette option à partir de l'arborescence source de Scilab

-profiling-visu

  Lance Scilab sous callgrind (Unix/Linux/Mac OS X seulement).

  Définir la variable SCILAB_VALGRIND_OPT pour ajouter des options supplémentaires à callgrind (et surcharger les options de callgrind existante).

  Conseil: Utilisez cette option à partir de l'arborescence source de Scilab

-electric-fence

  Lance Scilab sous Electric Fence (Unix/Linux/Mac OS X seulement).

  Conseil: Utilisez cette option à partir de l'arborescence source de Scilab

-e Instruction

  si cette option est présente l'instruction `Instruction` est exécutée dans Scilab immédiatement après les fichiers startup.

  Plusieurs commandes peuvent être indiquées à la suite avec l'option -e:

      scilab-cli -e  "a=1+%i; aPlusPi=a+%pi; disp(aPlusPi);exit;" -nb

-f Fichier

  si cette option est présente le script `Fichier` est exécuté dans Scilab mmédiatement après les fichiers startup. -f et -e ne peuvent pas être utilisée en même temps.

  Un fichier avec l'extension .xcos sera ouvert par Xcos.

-l lang

  Cette option permet de sélectionner la langue de l'utilisateur. lang peut avoir les valeurs: ca_ES de_DE en_US es_ES fr_FR ja_JP pt_BR ru_RU zh_CN zh_TW (à partir de Scilab 5.2).

  Les valeurs possible pour sont `-l fr` pour sélectionner le francais et `-l en` pour sélectionner l'anglais. La langue par défaut est l'anglais, ce défaut est fixé dans le fichier `scilab.start`.

  Avec certains systèmes, la compilation des locales peut être nécessaire pour rendre correctement les polices UTF-8.

  Scilab peut être aussi appellé de la manière suivante:

      LANG=ja_JP scilab
                              # équivalent à
                              scilab -l ja_JP

-mem N

  Spécifie la valeur initiale de la stacksize, cette option est a utiliser avec l'option -ns. Lorsque Scilab est appelé sans l'option -ns la valeur initiale de la stacksize est définie par le script scilab.start.

-nb

  si cette option est présente le message de chargement de Scilab n'est pas affiché.

-ns

  si cette option est présente le script de démarrage "principal" `SCI/etc/scilab.start` ainsi que les fichiers de démarrage "utilisateur" `SCIHOME/.scilab` et `SCIHOME/scilab.ini` ne sont pas pas exécutés.

  L'utilisation de cette option désactivera de nombreuses fonctionnalités de Scilab (Ne l'utilisez que si vous savez ce que vous faites).

-nouserstartup

  Si cette option est fournie, les fichiers de démarrage "utilisateur" `SCIHOME/.scilab`, `SCIHOME/scilab.ini` ne sont pas éxécutés.

-noatomsautoload

  Si cette option est fournie, les modules ATOMS précédemment installés ne sont pas chargés durant cette session.

-nw

  si cette option est présente Scilab est lancé en tant que interpreteur de commande avancé (graphiques, fonctionnalité de construction de l'aide, etc).

  The option peut être utilisé avec les arguments -f ou -e.

  A partir de la version 5.2 de Scilab:

  - La distribution de Scilab fournit aussi un binaire dédié faisant la même chose que l'option -nw: scilab-adv-cli (Scilab Advanced Command Line Interpreter).

  - Les fonctionnalités de pipe sont accessibles pour tous les systèmes d'exploitations (voir les examples pour plus de détails)

-nwni / -nogui

  si cette option est présente Scilab est lancé en tant que interpreteur de commande (sans graphique, ni fonctionnalité de construction de l'aide, etc).

  The option peut être utilisé avec les arguments -f ou -e.

  A partir de la version 5.2 de Scilab:

  - La distribution de Scilab fournit aussi un binaire dédié faisant la même chose que l'option -nw: scilab-cli (Scilab Command Line Interpreter).

  - Les fonctionnalités de pipe sont accessibles pour tous les systèmes d'exploitations (voir les examples pour plus de détails)

  Ce mode ne charge pas la Machine Virtuelle Java (plus rapide à démarer et consomme moins de mémoire).

--texmacs

  Cette option est réservée pour TeXMacs.

  Veuillez installer le module ATOMS atomsInstall('texmacs')

-version

  Cette option affiche la version de Scilab.

## Description des variables d'environnement

SCIVERBOSE

  Si cette variable d'environnement est présente, le script de démarrage de Scilab affichera les informations de debug. Principalement utilisée pour du debug ou le report de bugs.

JAVA_HOME

  Indique quelle version de Java utiliser. Par exemple, `JAVA_HOME=/usr/lib/jvm/java-7-openjdk/ scilab` démarrera Scilab avec la version 7 de Java.

SCI_DISABLE_TK

  Désactive les fonctionnalités Tk (mais pas Tcl)

SCI_JAVA_ENABLE_HEADLESS

  Démarre Java en mode Headless (ie sans les fonctionnalités graphiques).

## Java Virtual Machine options

A partir de la version 5.0 de Scilab, l'interface graphique et le système de génération de la documentation sont basés sur des fonctionnalités Java. Dans certains cas, il peut être intéressant de modifier les options de la JVM (Java Virtual Machine).

Ces options sont accessibles via le fichier jvm_options.xml.

Dans les version 5.0.X et 5.1.X, ce fichier est accessible dans SCI/modules/jvm/etc/jvm_options.xml

Dans les versions >= 5.2.0, le fichier est accessible sous etc/jvm_options.xml

Par défault, les trois options suivantes sont facilement accessibles à partir du fichier de configuration:

-XmxXXXm

  Cette option indique la quantité de mémoire mise à disposition de la machine virtuelle Java. Par défaut, la valeur est de 256M. Si vous changez cette valeur, assurez vous que cette valeur ne dépasse pas la quantité de mémoire accessible sur le système.

-Djava.compiler=JIT

  Avec la valeur JIT, le compilateur Java Just In Time (JIT) est activé. Il est activé par défault. NONE désactive le JIT et diminue de manière importante les performances.

-verbose:jni / -Xcheck:jni

  Ces options activent de nombreuses vérifications, message de débug et autres contrôles sur les appels JNI (appel natif Java). Ces options sont utiles pour le débuggage et désactivée par défaut à cause de l'impact sur les performances.

De nombreuses options sont disponibles. Elles peuvent améliorer les performances, changer le rendu graphique, la gestion de la mémoire... Voir: http://www.oracle.com/technetwork/java/javase/tech/vmoptions-jsp-140102.html

## Examples

                # Lançons Scilab en mode profilage sans qu'un gdb soit lancé à chaque SIGSEGV.
                # On est sous Bash
                export SCILAB_VALGRIND_OPT="--db-attach=no --log-file=myfile.txt"
                scilab -profiling

                # Lançons Scilab en mode debug sans s'arrêter à chaque SIGSEGV
                # D'abord écrivons un petit fichier de commandes
                echo "handle SIGSEGV nostop" &gt; debug.txt
                # On règle l'option de gdb
                # On est sous Bash
                export SCILAB_GDB_OPT="--command=debug.txt"
                # Lançons Scilab en mode debug
                scilab -debug

                # Sous GNU/Linux, Mac OS X or Unix:
                $ echo "disp(%pi)"|scilab-cli
                ou
                $ echo "disp(%pi)"|scilab -nwni

                # Ouvre uniquement la fenêtre d'aide Scilab:
                $ scilab-adv-cli -e "help()"
                or
                $ scilab -nw -e "help()"

                # Scilab utilisé en tant que moteur de scripting
                echo "if 1<>2 then exit(99) end"|scilab-cli
                echo $?

## See Also

- exit

## History

5.4.0
-noatomsautoload ajouté.